using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace NavDemo.Views {
    
    public partial class PageFinished : PhoneApplicationPage {

        public PageFinished() {
            InitializeComponent();

            this.BackKeyPress += PageFinished_BackKeyPress;
        }

        void PageFinished_BackKeyPress(object sender, System.ComponentModel.CancelEventArgs e) {
            this.NavigationService.RemoveBackEntry();
            this.NavigationService.RemoveBackEntry();
        }

        private void ButtonClose_Click(object sender, RoutedEventArgs e) {
            this.NavigationService.RemoveBackEntry();
            this.NavigationService.RemoveBackEntry();
            this.NavigationService.GoBack();
        }
    }
}